Package com.avaya.clientservices.visualvoicemail

## Interface VisualVoiceMailMessageListener

-     public interface VisualVoiceMailMessageListener

  Interface that can be used to retrieve status updates for a visual voicemail message. One or more listeners can be registered to retrieve status updates on the messages' various attributes.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onVisualVoiceMailMessageCapabilitiesChanged​(VisualVoiceMailMessage message)` | Called to report that capabilities for the visual voicemail message have changed.
    `void` | `onVisualVoiceMailMessageFileStatusChanged​(VisualVoiceMailMessage message, VisualVoiceMailMessage.FileStatus fileStatus)` | Called to report that a file status for the visual voicemail message has changed.
    `void` | `onVisualVoiceMailMessageLocationChanged​(VisualVoiceMailMessage message, java.lang.String location)` | Called to report that a location for voicemail audio file has changed.
    `void` | `onVisualVoiceMailMessageReadStatusChanged​(VisualVoiceMailMessage message, boolean isRead)` | Called to report that the isRead flag for the visual voicemail message has changed.

- - ### Method Detail

    - #### onVisualVoiceMailMessageReadStatusChanged

          void onVisualVoiceMailMessageReadStatusChanged​(VisualVoiceMailMessage message,
                                                         boolean isRead)

      Called to report that the isRead flag for the visual voicemail message has changed.
      Parameters:
        `message` - The visual voicemail message for which the isRead flag has changed.
        `isRead` - The new value of the isRead flag.

    - #### onVisualVoiceMailMessageLocationChanged

          void onVisualVoiceMailMessageLocationChanged​(VisualVoiceMailMessage message,
                                                       java.lang.String location)

      Called to report that a location for voicemail audio file has changed.
      Parameters:
        `message` - The message for which the location has changed.
        `location` - The location of audio file.

    - #### onVisualVoiceMailMessageCapabilitiesChanged

          void onVisualVoiceMailMessageCapabilitiesChanged​(VisualVoiceMailMessage message)

      Called to report that capabilities for the visual voicemail message have changed.
      Parameters:
        `message` - The message for which the capabilities have changed.
      See Also:
        `VisualVoiceMailMessage.getMarkMessageAsReadCapability()`, `VisualVoiceMailMessage.getMarkMessageAsUnReadCapability()`, `VisualVoiceMailMessage.getDownloadCapability()`, `VisualVoiceMailMessage.getConsumeCapability()`

    - #### onVisualVoiceMailMessageFileStatusChanged

          void onVisualVoiceMailMessageFileStatusChanged​(VisualVoiceMailMessage message,
                                                         VisualVoiceMailMessage.FileStatus fileStatus)

      Called to report that a file status for the visual voicemail message has changed.
      Parameters:
        `message` - The message for which the file status has changed.
        `fileStatus` - The new file status for the visual voicemail message.